(function ($) {
    "use strict";
    $(document).ready(function () {

        var cPlan = $('#c-plan');

        if (cPlan.length) {

            cPlan.slider({
                tooltip: 'always'
            });
            cPlan.on("slide", function (e) {

                $.each(vpsPriceInfo, function (index, vpsObj) {
                    if (vpsObj.vpsCore == e.value) {
                        setVpsValue(vpsObj);
                    }
                });
            });

            initSlider();
        }

        function initSlider() {


            cPlan.value = cPlan.data("slider-value");
            var defaultVpsCore = parseInt(cPlan.value);
            $.each(vpsPriceInfo, function (index, vpsObj) {
                // defaultVpsCore is default valeu to show. For my demo, I have set 6 from HTML.
                // vps-hosting.html: <input id="c-plan" type="text" data-slider-min="1" data-slider-max="12" data-slider-step="1" data-slider-value="6" data-currency="$" data-unit="GB">. 
                // You need to change accourting to your need.
                if (vpsObj.vpsCore == defaultVpsCore) {
                    $('.slider .tooltip', '#custom-plan').append('<div class="tooltip-up"></div>');
                    $('.slider .tooltip-inner', '#custom-plan').attr("data-unit", cPlan.data("unit"));
                    $('.slider .tooltip-up', '#custom-plan').attr("data-currency", cPlan.data("currency"));
                    setVpsValue(vpsObj);
                }
            });
        }

        function setVpsValue(vpsObj) {
            $('.slider .tooltip-up', '#custom-plan').text(vpsObj.vpsCore);
            $('.vpsPrice', '#custom-plan').text(cPlan.data("currency") + vpsObj.vpsPrice);
            $('.vpsCore span', '#custom-plan').text(vpsObj.vpsCore);
            $('.vpsMemory span', '#custom-plan').text(vpsObj.vpsMemory);
            $('.vpsStorage span', '#custom-plan').text(vpsObj.vpsStorage);
            $('.vpsBandwidth span', '#custom-plan').text(vpsObj.vpsBandwidth);
            $('.vpsWHmcsUrl', '#custom-plan').attr("href", vpsObj.vpsWHmcsUrl);
        }

    });

})(jQuery);