<?php



function qhost_ocdi_import_files() {
	return [

		[
			'import_file_name'         => 'Home One',
			'preview_url'              => 'https://qhost.themetags.com/',
			'local_import_file'        => QHOST_ADDONCE_DIR . 'inc/demo-data/content.xml',
			'local_import_widget_file' => QHOST_ADDONCE_DIR . 'inc/demo-data/widgets.wie',
			'import_preview_image_url' => QHOST_PLUGIN_URL . 'inc/demo-data/thumbnail/home-one.jpg',
		],

		[
			'import_file_name'         => 'Home Two',
			'preview_url'              => 'https://qhost.themetags.com/',
			'local_import_file'        => QHOST_ADDONCE_DIR . 'inc/demo-data/content.xml',
			'local_import_widget_file' => QHOST_ADDONCE_DIR . 'inc/demo-data/widgets.wie',
			'local_import_json'        => [
				[
					'file_path'   => QHOST_ADDONCE_DIR . 'inc/demo-data/options.json',
					'option_name' => 'qhost_framework',
				]
			],
			'import_preview_image_url' => QHOST_PLUGIN_URL . 'inc/demo-data/thumbnail/home-one.jpg',
		]
	];
}

add_filter( 'pt-ocdi/import_files', 'qhost_ocdi_import_files' );


function qhost_ocdi_after_import_setup( $selected_import ) {

	// Assign menus to their locations.
	$main_menu = get_term_by( 'name', 'Primary Menu', 'nav_menu' );

	set_theme_mod( 'nav_menu_locations', array(
       'primary' => $main_menu->term_id,
   ) );

	$front_page_id = get_page_by_title( str_replace( esc_html( '&' ), 'n', $selected_import['import_file_name'] ) );

	$blog_page_id = get_page_by_title( 'Blog' );
	update_option( 'page_for_posts', $blog_page_id->ID );

	if ( isset( $front_page_id ) and is_object( $front_page_id ) ) {
		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
	}

}

add_action( 'pt-ocdi/after_import', 'qhost_ocdi_after_import_setup' );


