<?php
/**
 * The template for displaying 404 pages (Not Found).
 * @package qhost
 * by Themetags
 */




$image = qhost_option( 'error_image');
$error_title = qhost_option( 'error_title');
$error_content = qhost_option( 'error_description' );

$default = get_template_directory_uri() . '/assets/images/404.png';

$img_url = ! empty($image['url']) ? $image['url'] : $default;


get_header();

?>

<section class="error_page">
	<div class="container h-100">
        <div class="error_page_wrapper d-flex align-items-center justify-content-center h-100 text-center">
            <div class="error-page-content">
                <?php if ( ! empty( $image )) : ?>
                    <div class="error-image">                   
                        <img src="<?php echo esc_url( $img_url ) ?>" alt="<?php echo esc_attr( bloginfo('name') ); ?>">
                    </div>
                <?php endif; ?>

                <?php if ( ! empty( $error_title )) : ?>
                    <h2 class="error-title"><?php echo esc_html($error_title); ?></h2>
                <?php endif; ?>
                <?php if ( ! empty( $error_content )) : ?>
                    <p class="lead"><?php echo esc_html($error_content); ?></p>
                <?php endif; ?>

                <a href="<?php echo esc_url(home_url('/')); ?>" class="tt-btn"><?php echo esc_html__('Back to Home', 'qhost') ?></a>
            </div>
        </div>
	</div>
</section>

<?php

get_footer();

