var THEMETAGS = THEMETAGS || {};

(function ($) {

    /*!----------------------------------------------
        # This beautiful code written with heart
        # by Mominul Islam <hello@mominul.me>
        # In Dhaka, BD at the ThemeTags workstation.
        ---------------------------------------------*/

    // USE STRICT
    "use strict";

    window.TT = {
        init: function () {
            // Header
            this.header = $('.site-header');
            this.body = $('body');
            this.wpadminbar = $('#wpadminbar');

            this.headerFixed = {
                initialOffset: parseInt(this.header.attr('data-fixed-initial-offset')) || 100,

                enabled: $('[data-header-fixed]').length,
                value: false,

                mobileEnabled: $('[data-mobile-header-fixed]').length,
                mobileValue: false
            };


            // Logos
            this.siteBranding = this.header.find('.site-branding');
            this.siteTitle = this.header.find('.site-title');
            this.logo = this.header.find('.main-logo');
            this.fixedLogo = this.header.find('.logo-sticky');
            this.mobileLogo = this.header.find('.mobile-logo');
            this.fixedMobileLogo = this.header.find('.fixed-mobile-logo');

            this.logoForOnepage = this.header.find('.for-onepage');
            this.logoForOnepageDark = this.logoForOnepage.find('.dark');
            this.logoForOnepageLight = this.logoForOnepage.find('.light');

            // Menus
            this.megaMenu = this.header.find('#mega-menu-wrap');
            this.mobileMenu = $('[data-mobile-menu-resolution]').data('mobile-menu-resolution');


            this.resize();
        },

        resize: function () {
            this.isDesktop = $(window).width() >= 991;
            this.isMobile = $(window).width() <= 991;
            this.isPad = $(window).width() <= 1024;
            this.isMobileMenu = $(window).width() <= TT.mobileMenu
        }
    };

    THEMETAGS.initialize = {
        init: function () {
            THEMETAGS.initialize.handleMobileHeader();
            THEMETAGS.initialize.general();
            THEMETAGS.initialize.blog();
            THEMETAGS.initialize.swiperSlider();
            THEMETAGS.initialize.countUp();
            THEMETAGS.initialize.countDown();
            THEMETAGS.initialize.sectionSwitch();
            THEMETAGS.initialize.googleMap();
            THEMETAGS.initialize.contactFrom();
        },

        /*========================================================*/
        /*=           Collection of snippet and tweaks           =*/
        /*========================================================*/

        general: function () {
            // $('.tt-hotspot-items li .tooltips').tooltip('show');
            // $(function () {
            //     $('[data-toggle="tooltip"]').tooltip();
            // });

            $(document).ready(function () {
                $('[data-toggle="tooltip"]').tooltip();
            });


            if ($('body').hasClass("admin-bar")) {
                $('body').addClass('header-position');
            }

            var $body = $('body');

            var $popup = $('.canvas-menu-wrapper');

            $("#page-open-main-menu").on('click', function (e) {
                e.preventDefault();
                var mask = '<div class="mask-overlay">';
                $(mask).hide().appendTo('body').fadeIn('fast');
                $popup.addClass('open');
                $(".tt-hamburger").addClass('active');
                $body.addClass('page-popup-open');
                $("html").addClass("no-scroll sidebar-open").height(window.innerHeight + "px");

            });

            $("#page-close-main-menu, .mask-overlay").on('click', function (e) {
                e.preventDefault();
                $('.mask-overlay').remove();
                $body.removeClass('page-popup-open');
                $popup.removeClass('open');
                $("html").removeClass("no-scroll sidebar-open").height("auto");
                $(".tt-hamburger").removeClass('active');
                $('.sub-menu, .sub-menu-wide').removeAttr('style');
                $('.has-submenu .menu-link').removeClass('active');
            });

            var wow = new WOW({
                boxClass: 'wow',
                animateClass: 'animated',
                offset: 0,
                mobile: false,
                live: true,
                scrollContainer: null
            });
            wow.init();

            if ($("#wpadminbar").length && $(window).width() < 768) {
                $("#wpadminbar").css({
                    position: "fixed",
                    top: "0"
                })
            }

            /* Magnefic Popup */
            $('.popup-video').each(function () {
                $('.popup-video').magnificPopup({
                    type: 'iframe'
                });
            });

            /* Domain Check */
            var DomainCheck = {
                submit: function (e) {
                    e.preventDefault();

                    var obj = e.data,
                        el = obj.wap.find("#tt-domain-results"),
                        domainDefault = "themetags.com",
                        basename = obj.input.val() !== "" ? obj.input.val() : domainDefault,
                        ext = obj.select.val() !== "" ? obj.select.val() : '',
                        whmcs_url = obj.whmcs_url.val() !== "" ? obj.whmcs_url.val() : '',
                        extension = DomainCheck.dotExt(obj.input.val());

                    var domainName = "";
                    if (basename.indexOf('.') > -1) {
                        domainName = basename;
                    } else if (basename.indexOf('.') == -1) {
                        domainName = basename + (ext ? '.' + ext : '.com');
                    }

                    obj.security = obj.form.find("input[name=security]").val();
                    obj.el = el;
                    var domainData = {},
                        domainResultTable = $(
                            '<div id="tt_result_item" class="tt-result-domain-box" role="alert"> </div></div>'
                        ),
                        domainResult = $(
                            '<div class="inner-block-result-item">' +
                            '<div class="spinner tt-loading-results text-center">' +
                            '<i class="fas fa-spinner fa-spin fa-lg fa-fw"></i>' +
                            '<span> Seaching...</span>' +
                            '<span class="sr-only">...</span>' +
                            "</div>"
                        );

                    $.extend(domainData, obj);
                    domainData.domain = domainName;
                    domainData.extension = extension;
                    domainData.whmcs_url = whmcs_url;
                    domainData.el = domainResult;

                    domainResult.data("domain", domainData.domain);

                    if (obj.el.find("#tt_result_item").length == 0) {
                        obj.el.append(domainResultTable);
                        obj.el.find("#tt_result_item").append(domainResult);
                    } else {
                        obj.el.find("#tt_result_item").remove();
                        obj.el.append(domainResultTable);
                        obj.el.find("#tt_result_item").append(domainResult);
                    }
     
                    DomainCheck.checkAjax(domainData);
                },

                name: function (domain) {
                    return domain.replace(/^.*\/|\.[^.]*$/g, "");
                },

                dotExt: function (ext) {
                    var fExt,
                        tExt = ext.split(".", 3);

                    if (tExt[1] === undefined) {
                        fExt = "com";
                    } else if (tExt[0] === "www") {
                        fExt = tExt[2];
                    } else {
                        fExt = tExt[1];
                    }

                    return fExt;
                },

                checkAjax: function (obj) {
                    var data = {
                        domain: obj.domain,
                        whmcs_url: obj.whmcs_url,
                        action: "tt_ajax_search_domain",
                        security: obj.security,
                    };

                    $.ajax({
                        url: tt_ajax_url,
                        type: "POST",
                        dataType: "json",
                        data: data,
                        success: function (data) {
                            obj.el.find(".spinner").remove();
                            obj.el.append(data.results_html);
                        },
                        error: function (xhr, ajaxOptions, thrownError) {
                            console.log(xhr);
                            console.log(thrownError);
                        },
                    });
                },
            };

            $("#tt-domain-search").is(function () {

                var id = $(this),
                    submitEl = id.find("#tt-search"),
                    inputEl = id.find("#tt-domain"),
                    selectEl = id.find("#domainext"),
                    formEl = id.find("#tt-domain-form"),
                    acEl = id.find('input[name="whmcs_url"]'),
                    data;

                data = {
                    submit: submitEl,
                    input: inputEl,
                    select: selectEl,
                    whmcs_url: acEl,
                    form: formEl,
                    div: id,
                    wap: id,
                };


                submitEl.attr("disabled", true);
                inputEl.keyup(function () {
                    if ($(this).val().length != 0) submitEl.attr("disabled", false);
                    else submitEl.attr("disabled", true);
                });

                submitEl.on("click", data, DomainCheck.submit);
            });

            // Loading Screen
            const loadingClass = $(".loading"),
                removeFLow = $("html,body").css("overflow", "auto");

            if (loadingClass.length === 1) {
                $(window).on("load", function () {
                    loadingClass.fadeOut();
                    removeFLow;
                });
            }

        },

        /*===========================================*/
        /*=           Handle Mobile Header          =*/
        /*===========================================*/
        handleMobileHeader: function () {

            if (TT.header && TT.header.length) {

                if (TT.isMobileMenu) {
                    TT.header.addClass('mobile-header');
                    TT.body.addClass('is-mobile-menu');
                    setTimeout(function () {
                        $('.main-nav').addClass('unhidden');
                    }, 300);
                } else {
                    TT.header.removeClass('mobile-header');
                    TT.body.removeClass('is-mobile-menu');
                    $('.main-nav').addClass('visible');
                }
            }
        },

        /*==========================================*/
        /*=           handle Fixed Header          =*/
        /*==========================================*/

        handleFixedHeader: function () {

            TT.init();
            var fixed = TT.headerFixed;

            if ($(document).scrollTop() > fixed.initialOffset) {

                if ((!TT.isMobileMenu && fixed.enabled && !fixed.value) ||
                    (TT.isMobileMenu && fixed.mobileEnabled && !fixed.mobileValue)) {

                    if (TT.isMobileMenu) {
                        fixed.mobileValue = true;
                    } else {
                        fixed.value = true;
                    }

                    TT.header.addClass('header-fixed no-transition');

                }

            } else if (fixed.value || fixed.mobileValue) {

                fixed.value = false;
                fixed.mobileValue = false;

                TT.header.removeClass('header-fixed');

            }

            // Effect appearance
            if ($(document).scrollTop() > fixed.initialOffset + 50) {
                TT.header.removeClass('no-transition').addClass('showed');
            } else {
                TT.header.removeClass('showed').addClass('no-transition');
            }
        },

        /*===========================*/
        /*=           Blog          =*/
        /*===========================*/

        blog: function () {

            if ((typeof $.fn.imagesLoaded !== 'undefined') && (typeof $.fn.isotope !== 'undefined')) {

                var blogContainer = $(".saaspik-masonry");

                blogContainer.masonry({
                    itemSelector: '.grid-item',
                    percentPosition: true
                });
            }
        },


        /*====================================*/
        /*=           Swiper Slider          =*/
        /*====================================*/

        swiperSlider: function () {
            $('#portfolio-testimonial').each(function () {
                var swiper = new Swiper('#portfolio-testimonial', {
                    slidesPerView: 1,
                    spaceBetween: 30,
                    loop: true,
                    speed: 800,
                    autoplay: {
                        delay: 5000,
                    },
                    navigation: {
                        nextEl: '.testi-button-next',
                        prevEl: '.testi-button-prev',
                    },
                });
            });

            $('.related-product').each(function () {
                var swiper = new Swiper('.related-product', {
                    slidesPerView: 3,
                    spaceBetween: 30,
                    loop: true,
                    speed: 800,
                    autoplay: {
                        delay: 2000,
                    },
                    navigation: {
                        nextEl: '.product-button-next',
                        prevEl: '.product-button-prev',
                    },
                });
            });

        },

        /*=====================================*/
        /*=           Section Switch          =*/
        /*=====================================*/

        sectionSwitch: function () {
            $('.page-scroll, .site-header .menu li a').on('click', function () {
                if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
                    var target = $(this.hash);
                    if (target.length > 0) {

                        target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
                        $('html,body').animate({
                            scrollTop: target.offset().top - 130
                        }, 1000);
                        return false;
                    }
                }
            });
        },


        /*==============================*/
        /*=           Countup          =*/
        /*==============================*/

        countUp: function () {
            var options = {
                useEasing: true,
                useGrouping: true,
                separator: ',',
                decimal: '.',
                prefix: '',
                suffix: ''
            };

            var counteEl = $('[data-counter]');

            if (counteEl) {
                counteEl.each(function () {
                    var val = $(this).data('counter');

                    var countup = new CountUp(this, 0, val, 0, 2.5, options);
                    $(this).appear(function () {
                        countup.start();
                    }, {
                        accX: 0,
                        accY: 0
                    })
                });
            }
        },

        /*=================================*/
        /*=           Countdown          =*/
        /*=================================*/
        countDown: function () {

            if ($('.countdown').length > 0) {

                $('.countdown').each(function (index, value) {
                    var count_year = $(this).data("count-year");
                    var count_month = $(this).data("count-month");
                    var count_day = $(this).data("count-day");
                    var count_date = count_year + '/' + count_month + '/' + count_day;
                    $(this).countdown(count_date, function (event) {
                        $(this).html(event.strftime('<div class="counting"><span class="CountdownContent">%D<span class="CountdownLabel">Days</span></span></div><div class="counting"><span class="CountdownContent">%H <span class="CountdownLabel">Hours</span></span></div><div class="counting"><span class="CountdownContent">%M <span class="CountdownLabel">Minutes</span></span></div><div class="counting"><span class="CountdownContent">%S <span class="CountdownLabel">Seconds</span></span></div>'));
                    });
                });
            }
        },

        /*=================================*/
        /*=           Google Map          =*/
        /*=================================*/

        googleMap: function () {

            $('.gmap3-area').each(function () {
                var $this = $(this),
                    key = $this.data('key'),
                    lat = $this.data('lat'),
                    lng = $this.data('lng'),
                    mrkr = $this.data('mrkr'),
                    zoom = $this.data('zoom'),
                    scrollwheel = $this.data('scrollwheel') || false;

                $this.gmap3({
                    center: [lat, lng],
                    zoom: zoom,
                    scrollwheel: scrollwheel,
                    mapTypeId: google.maps.MapTypeId.ROADMAP,
                    styles: [{
                        "featureType": "administrative.country",
                        "elementType": "geometry.fill",
                        "stylers": [{
                            "visibility": "on"
                        }]
                    }]
                })
                    .marker(function (map) {
                        return {
                            position: map.getCenter(),
                            icon: mrkr
                        };
                    })

            });

        },

        /*===========================*/
        /*=           Form          =*/
        /*===========================*/

        contactFrom: function () {
            $('[data-qhost-form]').each(function () {
                var $this = $(this);
                $('.form-result', $this).css('display', 'none');

                $this.submit(function () {
                    $('button[type="submit"]', $this).addClass('clicked');
                    // Create a object and assign all fields name and value.
                    var values = {};

                    $('[name]', $this).each(function () {
                        var $this = $(this),
                            $name = $this.attr('name'),
                            $value = $this.val();
                        values[$name] = $value;
                    });

                    // Make Request
                    $.ajax({
                        url: $this.attr('action'),
                        type: 'POST',
                        data: values,
                        success: function success(data) {

                            if (data.error == true) {
                                $('.form-result', $this).addClass('alert-warning').removeClass('alert-success alert-danger').css('display', 'block');
                            } else {
                                $('.form-result', $this).addClass('alert-success').removeClass('alert-warning alert-danger').css('display', 'block');
                            }
                            $('.form-result > .content', $this).html(data.message);
                            $('button[type="submit"]', $this).removeClass('clicked');

                            console.log("Success");
                        },
                        error: function error() {
                            $('.form-result', $this).addClass('alert-danger').removeClass('alert-warning alert-success').css('display', 'block');
                            $('.form-result > .content', $this).html('Sorry, an error occurred.');
                            $('button[type="submit"]', $this).removeClass('clicked');
                            console.log("Error");
                        }
                    });
                    return false;
                });
            });
        }



    };

    THEMETAGS.documentOnReady = {
        init: function () {
            THEMETAGS.initialize.init();
        },
    };

    THEMETAGS.documentOnLoad = {
        init: function () {
            TT.init();
            THEMETAGS.initialize.handleMobileHeader();
            $("#preloader").fadeOut("slow");
        },
    };

    THEMETAGS.documentOnResize = {
        init: function () {
            if ($("#wpadminbar").length && $(window).width() < 768) {
                $("#wpadminbar").css({
                    position: "fixed",
                    top: "0"
                })
            }
            TT.resize();
            THEMETAGS.initialize.handleMobileHeader();
            THEMETAGS.initialize.handleFixedHeader();
        },
    };

    THEMETAGS.documentOnScroll = {
        init: function () {
            THEMETAGS.initialize.handleFixedHeader();
        },
    };

    // Initialize Functions
    $(document).ready(THEMETAGS.documentOnReady.init);
    $(window).on('load', THEMETAGS.documentOnLoad.init);
    $(window).on('resize', THEMETAGS.documentOnResize.init);
    $(window).on('scroll', THEMETAGS.documentOnScroll.init);

})(jQuery);
