<?php
/**
 * header.php
 *
 * The header for the theme.
 */
?>
<!DOCTYPE html>
 <html <?php language_attributes(); ?>> 

    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<?php wp_head(); ?>
    </head>

    <body <?php body_class(); ?>>
        <?php
        if ( function_exists( 'wp_body_open' ) ) {
            wp_body_open();
        }

        do_action( 'qhost_after_body' ); ?>

        <div id="site-content" class="site">
            <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'qhost' ); ?></a>
            
            <?php            
            //Site Header
            $header_style = qhost_option('header-layout', 'style-1');

            if( ! empty( $header_style )) {
                get_template_part( 'template-parts/header/header', 'style-1' );
            } 
            get_template_part( 'template-parts/header/page-header' );

            ?>

            <main id="main" class="site-main">