<?php

// Control core classes for avoid errors
if (class_exists('CSF')) {

	//
	// Set a unique slug-like ID
	$prefix = 'qhost_page_options';

	//
	// Create a metabox
	CSF::createMetabox($prefix, array(
		'title' => esc_html__('Page Option', 'qhost'),
		'context' => 'normal',
		'post_type' => array('post', 'page'),
		'theme' => 'dark',

	));

	// Header Menu
	CSF::createSection($prefix, array(
		'title' => esc_html__('Header', 'qhost'),
		'icon' => 'fa fa-home',
		'fields' => array(

			array(
                'id' => 'transparent_menu',
                'type' => 'switcher',
                'title' => esc_html__('Transparent Menu Off', 'qhost'),
                'default' => false,
            ),

			array(
				'id' => 'meta_header_bg',
				'type' => 'color',
				'title' => esc_html__('Header Background Color', 'qhost'),
				'desc' => esc_html__('You can changeheader BG color.', 'qhost'),
				'output' => array(
					'color' => '.site-header'
				)
			),

			array(
                'id'       => 'meta_header_type',
                'type'     => 'switcher',
                'title'    => 'Custom Logo Upload Yes/No',
                'text_on'  => __('Yes', 'qhost'),
                'text_off' => __('No', 'qhost'),
                'default' => false
            ),

			array(
				'id' => 'meta_main_logo',
				'type' => 'media',
				'title' => esc_html__('Main Logo', 'qhost'),
				'add_title' => esc_html__('Upload', 'qhost'),
				'desc' => esc_html__('Upload logo for Header', 'qhost'),
                'dependency' => array('meta_header_type', '==', 'true'),
			),

            array(
				'id' => 'retina_logo',
				'type' => 'media',
				'title' => esc_html__('Main Retina Logo @2x', 'qhost'),
				'add_title' => esc_html__('Upload', 'qhost'),
				'desc' => esc_html__('Upload logo for Header', 'qhost'),
                'dependency' => array('meta_header_type', '==', 'true'),
			),

			array(
				'id' => 'meta_sticky_logo',
				'type' => 'media',
				'title' => esc_html__('Sticky Logo', 'qhost'),
				'desc' => esc_html__('Upload logo for Header Sticky and Inner Page.', 'qhost'),
				'add_title' => esc_html__('Upload', 'qhost'),
                'dependency' => array('meta_header_type', '==', 'true'),

			),

            array(
				'id' => 'retina_logo_sticky',
				'type' => 'media',
				'title' => esc_html__('Sticky Retina Logo @2x', 'qhost'),
				'desc' => esc_html__('Upload Retina logo for Header Sticky.', 'qhost'),
				'add_title' => esc_html__('Upload', 'qhost'),
                'dependency' => array('meta_header_type', '==', 'true'),
			),

			array(
				'type' => 'subheading',
				'content' => esc_html__('Header Menu Style', 'qhost'),
			),


			array(
				'id' => 'menu_color',
				'type' => 'color',
				'title' => esc_html__('Menu Text Color', 'qhost'),
				'desc' => esc_html__('You can change menu text color.', 'qhost'),
				'output' => array(
					'color' => '
					.site-header .site-main-menu li > a, 
					.menu-transperant .site-header .site-main-menu li > a,
					.site-header .header-inner .site-nav.nav-two .nav-right .nav-btn,
					.site-header.pix-header-fixed .header-inner .site-nav.nav-two .nav-right .nav-btn',

					'background' => '.site-header.pix-header-fixed .header-inner .site-nav.nav-two .nav-right .nav-btn:hover,.site-header .header-inner .site-nav.nav-two .nav-right .nav-btn:hover',

					'border-color' => '.site-header .header-inner .site-nav.nav-two .nav-right .nav-btn, .site-header .header-inner .site-nav.nav-two .nav-right .nav-btn:hover, 
					.site-header.pix-header-fixed .header-inner .site-nav.nav-two .nav-right .nav-btn'
				),
				// 'output_important' => true
			),
			array(
				'id' => 'menu_color_hover',
				'type' => 'color',
				'title' => esc_html__('Menu Text Hover Color', 'qhost'),
				'desc' => esc_html__('You can change menu text hover color.', 'qhost'),
				'add_title' => esc_html__('Upload', 'qhost'),
				'output' => array(
					'color' => '.site-header .site-main-menu li > a:hover, .site-header.header-six .site-main-menu li > a:hover, 
					.menu-transperant .site-header .site-main-menu li > a:hover, 
					.site-header .site-main-menu li > a:after, .site-header.pix-header-fixed .header-inner .site-nav.nav-two .site-main-menu li a:hover',
					'background' => '.site-header .site-main-menu li > a:after, 
					.site-header .site-main-menu li > a:hover:after, 					
					.site-header .site-main-menu li > a.current_page:after'
				)
			),
			array(
				'id' => 'menu_color_dropdown',
				'type' => 'color',
				'title' => esc_html__('Menu Dropdown Text Color', 'qhost'),
				'desc' => esc_html__('You can change menu text color.', 'qhost'),
				'output' => '.site-header .site-main-menu li .sub-menu li a, .menu-transperant .site-header .site-main-menu li .sub-menu li a, .site-header .site-main-menu li > a'
			),

			array(
				'id' => 'menu_color_hover_dropdown',
				'type' => 'color',
				'title' => esc_html__('Menu Dropdown Text Hover Color', 'qhost'),
				'desc' => esc_html__('You can change menu text hover color.', 'qhost'),
				'output' => array(
					'color' => '
					.site-header.header-six .site-main-menu li .sub-menu li a:hover, .site-header.header-six .site-main-menu li .sub-menu li a.current_page,
					.site-header .site-main-menu li .sub-menu li a:hover,
					 .menu-transperant .site-header .site-main-menu li .sub-menu li a:hover,
					 .site-header .header-inner .site-nav.nav-two .site-main-menu li .sub-menu li a:hover,
					  .site-header .header-inner .site-nav.nav-two .site-main-menu li .sub-menu li a.current_page, .site-header .site-main-menu li.current-menu-parent .current_page_item > a',
				)
			),

			array(
				'type' => 'subheading',
				'content' => esc_html__('Header Sticky Menu Style', 'qhost'),
			),

			array(
				'id' => 'sticky_menu_color',
				'type' => 'color',
				'title' => esc_html__('Menu Text Color', 'qhost'),
				'desc' => esc_html__('You can change menu text color.', 'qhost'),
				'output_important' => true,
				'output' => '.site-header.pix-header-fixed .site-main-menu li a, .site-header.pix-header-fixed .site-main-menu li .sub-menu li a'
			),

			array(
				'id' => 'sticky_menu_color_hover',
				'type' => 'color',
				'output_important' => true,
				'title' => esc_html__('Menu Text Hover Color', 'qhost'),
				'desc' => esc_html__('You can change menu text hover color.', 'qhost'),
				'add_title' => esc_html__('Upload', 'qhost'),
				'output' => array(
					'color' => '
					.site-header.pix-header-fixed .site-main-menu li a:hover, 
					.site-header.pix-header-fixed .site-main-menu li a.current_page,
					.site-header.pix-header-fixed .site-main-menu li .sub-menu li a:hover, 
					.site-header.pix-header-fixed .site-main-menu li .sub-menu li a.current_page',

				)
			),

		)
	));


	//
	// Page Header
	CSF::createSection($prefix, array(
		'title' => 'Page Header',
		'icon' => 'fa fa-picture-o',
		'fields' => array(

			array(
				'id' => 'meta_page_header',
				'type' => 'button_set',
				'title' => esc_html__('Page Header Option', 'qhost'),
				'options' => array(
					'default' => esc_html__('Default', 'qhost'),
					'enabled' => esc_html__('Enabled', 'qhost'),
					'disabled' => esc_html__('Disabled', 'qhost'),
				),
				'default' => 'default'
			),


			array(
				'id' => 'header_image',
				'type' => 'background',
				'title' => esc_html__('Header Image', 'qhost'),
				'desc' => esc_html__('Default: Featured image, if fail will get image from global settings.', 'qhost'),
				'dependency' => array('meta_page_header', '==', 'enabled'),
				'output' => '.page-header',
				'output_important' => true,
			),

			array(
				'id' => 'custom_title',
				'type' => 'text',
				'title' => esc_html__('Custom Title', 'qhost'),
				'desc' => esc_html__('Set custom title for the page header. Default: The post title.', 'qhost'),
				'dependency' => array('meta_page_header', '==', 'enabled'),
			),
			array(
				'id' => 'custom_title_typography',
				'type' => 'typography',
				'title' => esc_html__('Title Typography', 'qhost'),
				'output' => '.page-banner .page-title',
				'dependency' => array('page_header', '==', 'enabled'),
			),
			array(
				'id' => 'custom_title_color',
				'type' => 'color',
				'title' => esc_html__('Title Color', 'qhost'),
				'output' => '.page-banner .page-title',
				'dependency' => array('meta_page_header', '==', 'enabled'),
			),

			array(
				'id' => 'breadcrumbs',
				'type' => 'switcher',
				'title' => esc_html__('Header Breadcrumbs', 'qhost'),
				'desc' => esc_html__('Display breadcrumbs on the page header', 'qhost'),
				'dependency' => array('meta_page_header', '==', 'enabled'),
				'default' => true,
			),

		),
	));


	// Footer Menu
	CSF::createSection($prefix, array(
		'title' => esc_html__('Footer', 'qhost'),
		'icon' => 'fa fa-home',
		'fields' => array(
		    array(
                'id'          => 'meta_footer_padding_top',
                'type'        => 'spacing',
                'title'       => __('Padding Top', 'qhost'),
                'output'      => '.site-footer .footer-wrapper',
                'output_mode' => 'padding', //
                'left'  => false,
                'right' => false,
            ),
		)
	));

}