<?php
// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {

	    /*Qhost Contact Widget*/

		CSF::createWidget( 'qhost_widget_contact', array(
			'title'       => __('Qhost Contact Widget', 'qhost'),
			'classname'   => 'Qhost-widget_wrapper',
			'fields'      => array(
				array(
					'id'      => 'title',
					'type'    => 'text',
					'title'   => __('Widget Title', 'qhost'),
				),
                array(
                    'id' => 'widget_logo',
                    'type' => 'media',
                    'title' => esc_html__('Logo', 'qhost'),
                    'add_title' => esc_html__('Upload', 'qhost'),
			    ),
				array(
					'id'      => 'about_text',
					'type'    => 'textarea',
					'title'   => 'Footer About Text',
					'default' => __('Dynamically re-engineer high standards in functiona with alternative paradigms.', 'qhost'),
				),
				array(
					'id'      => 'opt-switcher',
					'type'    => 'switcher',
					'title'   => 'Switcher',
				),
			)
		) );

		//
		// Front-end display of widget example 1
		// Attention: This function named considering above widget base id.
		//
		if( ! function_exists( 'qhost_widget_contact' ) ) {
			function qhost_widget_contact( $args, $instance ) {

				echo wp_kses_post($args['before_widget']);

				if ( ! empty( $instance['title'] ) ) {
					echo wp_kses_post($args['before_title']) . apply_filters( 'widget_title', esc_html($instance['title']) ) . wp_kses_post($args['after_title']);
				}


				if(! empty( $instance['widget_logo'] )) { ?>
                    <img src="<?php echo esc_url($instance['widget_logo']['url']); ?>" class="footer-logo" alt="<?php esc_attr__('Footer Logo', 'qhost') ?>">
				<?php }

				if(! empty( $instance['about_text'])) { ?>
					<p class="about_text"><?php echo esc_html($instance['about_text']); ?></p>
				<?php }

				if( ! empty( $instance['opt-switcher'] ) ) {

						$profail_link = qhost_option( 'social_links' );

						if ( ! empty( $profail_link ) ) :
								echo '<ul class="footer-social-link">';
								foreach ($profail_link as $item ) : ?>
									<li>
										<a href="<?php echo esc_url( $item['url'] ); ?>">
											<i class="<?php echo esc_attr( $item['icon'] ); ?>"></i>
										</a>
									</li>
									<?php
								endforeach;
								echo '</ul>';
						endif;
				}
				echo wp_kses_post($args['after_widget']);
			}
		}
	}
	