<?php
// Control core classes for avoid errors
if (class_exists('CSF')) {

    /*
     * Recent Post Widget
     */

    CSF::createWidget('qhost_recent_posts_widget', array(
        'title' => __('Qhost Recent Posts', 'qhost'),
        'classname' => 'qhost-recent-posts',
        'description' => __('Display recent posts', 'qhost'),
        'fields' => array(
            array(
                'id' => 'title',
                'type' => 'text',
                'title' => __('Title', 'qhost'),
            ),
            array(
                'id' => 'postcount',
                'type' => 'text',
                'title' => __('Number of posts to show', 'qhost'),
            ),
            array(
                'id' => 'is_post_date',
                'type' => 'switcher',
                'title' => __('Display post date?', 'qhost'),
                'default' => true
            ),
            array(
                'id' => 'is_post_image',
                'type' => 'switcher',
                'title' => __('Display post image?', 'qhost'),
                'default' => true
            ),
        )
    ));

    //
    // Front-end display of widget example 1
    // Attention: This function named considering above widget base id.
    //
    if (!function_exists('qhost_recent_posts_widget')) {
        function qhost_recent_posts_widget($args, $instance) {
            echo wp_kses_post($args['before_widget']);

            if (!empty($instance['title'])) {
                echo wp_kses_post($args['before_title']) . apply_filters('widget_title', esc_html($instance['title'])) . wp_kses_post($args['after_title']);
            }

            $recent_posts = new WP_Query(array(
                'posts_type' => 'post',
                'posts_per_page' => $instance['postcount'],
                'no_found_rows' => true,
                'ignore_sticky_posts' => true
            ));


            if ($recent_posts->have_posts()) :
                while ($recent_posts->have_posts()) : $recent_posts->the_post();
                    ?>
                    <div class="widget-post qhost-widget-recent-posts">
                    <?php if ( has_post_thumbnail()) : ?>
                        <div class="recent-posts-image_wrapper">
                            <?php
                            if (!empty($instance['is_post_image'])) {
                                the_post_thumbnail('qhost-recent-post-thumb', array(
                                    'alt' => the_title_attribute(array(
                                        'echo' => false
                                    )),
                                ));
                            }
                            ?>
                        </div>
                    <?php endif; ?>    

                        <div class="recent-posts-content_wrapper">
                            <?php
                            the_title('<h4 class="post-title"><a href="' . get_permalink() . '">', '</a></h4>');

                            if (!empty($instance['is_post_date'])) {
                                Qhost_Theme_Helper::qhost_posted_on();
                            }
                            ?>
                        </div>
                    </div>

                <?php
                endwhile;
                wp_reset_postdata();
            endif;


            echo wp_kses_post( $args['after_widget'] );

        }
    }
}
