<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package qhost
 */

get_header();

$sidebar   = Qhost_Theme_Helper::render_sidebars( 'blog' );
$row_class = $sidebar['row_class'];
$column    = $sidebar['column'];

while ( have_posts() ) :
	the_post(); ?>

    <div class="page-header single-post-header-bg">
        <div class="overlay-bg"></div>
        <div class="container">
            <div class="single-post-header">
                <h2 class="single-post-title"><?php echo the_title(); ?></h2>
                <div class="post-meta-wrapper">
                    <ul class="post-meta">
						<?php
						$author  = qhost_option( 'single_meta_author' );
						$date    = qhost_option( 'single_meta_date' );
						$comment = qhost_option( 'single_meta_comments' );
						?>

                        <li><i class="ei ei-icon_profile"></i><?php Qhost_Theme_Helper::qhost_entry_meta_small(); ?></li>
                        <li><i class="ei ei-icon_clock_alt"></i><?php Qhost_Theme_Helper::qhost_posted_on(); ?></li>
                        <li><i class="ei ei-icon_chat_alt"></i><?php Qhost_Theme_Helper::qhost_entry_comments( get_the_ID() ); ?></li>
                    </ul><!-- .entry-meta -->
                </div><!-- .post-meta-wrapper -->
            </div>
        </div>
        <!-- /.container -->
    </div>
    <!-- /.feature-image-banner -->
<?php endwhile; ?>

    <div class="blog-content-area">
        <div class="container">
            <div class="blog-archive-wrapper">
                <div class="row <?php echo apply_filters( 'qhost_row_class', $row_class ); ?>">
                    <div class="col-lg-<?php echo apply_filters( 'qhost_column_class', $column ); ?>">
						<?php while ( have_posts() ) :
							the_post();
							get_template_part( 'template-parts/post/single/post' );
						endwhile; // End of the loop.


						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif; ?>

                    </div><!-- /.col-md-8 -->
					<?php
					echo ( isset( $sidebar['content'] ) && ! empty( $sidebar['content'] ) ) ? $sidebar['content'] : '';
					?>
                </div><!-- /.row -->
            </div>
            <!-- /.blog-archive-wrapper -->
        </div><!-- /.container -->
    </div><!-- #primary -->

<?php
get_footer();