<?php
/**
 * Displays footer widgets if assigned
 *
 * @package WordPress
 * @subpackage qhost
 * @since 1.0
 * @version 1.0
 */


$footer_columns = qhost_option( 'footer_widget_layout', '4' );

if ( $footer_columns == 12 ) {
	$footer_column = 1;
} elseif ( $footer_columns == 6 ) {
	$footer_column = 2;
} elseif ( $footer_columns == 4 ) {
	$footer_column = 3;
} elseif ( $footer_columns == 3 ) {
	$footer_column = 4;
}
// $overlay_bg = qhost_option( 'footer__overlay_bg' );

// var_dump($overlay_bg);

?>

</main><!-- /#site-main -->
</div><!-- /#site-content -->
<footer id="site_footer" class="site-footer">

        <div class="footer-overlay"></div>


	<?php
	if ( is_active_sidebar( 'footer_column_1' ) ||
	     is_active_sidebar( 'footer_column_2' ) ||
	     is_active_sidebar( 'footer_column_3' ) ||
	     is_active_sidebar( 'footer_column_4' ) ) :
		?>
        <div class="footer-wrapper">
            <div class="container">
                <aside class="widget-area row">
					<?php for ( $i = 1; $i <= 4; $i ++ ):
						$area_display[] = get_theme_mod( 'qhost_widget_area_' . $i . '_display', true );
						$area_1_column = get_theme_mod( 'qhost_widget_area_' . $i . '_column', 'col-lg-3' );

						?>
                        <div class="col-sm-6 <?php echo esc_attr( $area_1_column ) ?>">
							<?php
							if ( is_active_sidebar( 'footer_column_' . $i ) && $area_1_column == true ):
								dynamic_sidebar( 'footer_column_' . $i );
							endif;
							?>
                        </div>
					<?php endfor; ?>
                </aside><!-- .widget-area -->
            </div><!-- .container -->
        </div><!-- /.footer-wrapper -->
	<?php endif; ?>
	<?php   get_template_part( 'template-parts/footer/site-info' ); ?>

</footer><!-- #site-footer -->



