<?php
/**
 * The Header Layout 1.
 *
 * @since   1.0.0
 * @package qhost
 */
$meta = get_post_meta( get_the_ID(), 'qhost_page_options', true );

$is_fixed = qhost_option('header_sticky');
$mobile_is_fixed = qhost_option('header_sticky_mobile' );
$mobile_menu = qhost_option('mobile_resolution', '992');
$fixed_initial_offset = qhost_option('sticky_offset');
//$transparent_menu  = qhost_option('transparent_menu');
$sticky = qhost_option('sticky_logo');
$logo_contrast = !empty($sticky['url']) ? $sticky['url'] : '';
$logo_contrast = !empty( $meta['meta_sticky_logo']['url'] ) ? $meta['meta_sticky_logo']['url'] : $logo_contrast;


$header_classes = '';
//$menu = $meta['meta_transparent_menu'] ? $meta['meta_transparent_menu'] : '';
//$transparent = $transparent_menu ? $transparent_menu : $menu;

$transparent = isset( $meta['transparent_menu']  ) ? $meta['transparent_menu'] : '';

$header_classes = $transparent == '1' ? 'header-transparent' : '';


?>

<header id="masthead" class="site-header header-1 header-width <?php  echo esc_attr($header_classes); ?>" <?php if ( $is_fixed && !empty( $logo_contrast ) ) {
		echo ' data-header-fixed="true"';
	} ?> <?php if ( $mobile_is_fixed ) {
		echo ' data-mobile-header-fixed="true"';
	} ?> <?php if ($fixed_initial_offset) {
		echo ' data-fixed-initial-offset="' . $fixed_initial_offset . '"';
	} ?> data-mobile-menu-resolution="<?php echo esc_attr( $mobile_menu ) ?>">

	<div class="container">
		<div class="header-inner">
			<nav id="site-navigation" class="main-nav">
				<div class="site-logo">
					<?php Qhost_Theme_Helper::branding_logo(); ?>
				</div>

				<div class="tt-hamburger" id="page-open-main-menu" tabindex="1">
					<span class="bar"></span>
					<span class="bar"></span>
					<span class="bar"></span>
				</div>

				<div class="menu-wrapper main-nav-container canvas-menu-wrapper" id="mega-menu-wrap">

					<div class="close-menu" id="page-close-main-menu">
						<i class="ti-close"></i>
					</div>

					<div class="menu-wrapper">
						<?php
						if (has_nav_menu('primary')) {
							wp_nav_menu(
								array(
									'theme_location' => 'primary',
                                    'menu_class'		 => 'site-main-menu',
                                    'fallback_cb'		 => '',
                                    'walker'			 => new Qhost_main_nav_walker(),
								)
							);
						} else {
							echo '<ul class="add-menu clearfix"><li><a target="_blank" href="' . esc_url(admin_url('nav-menus.php')) . '">' . esc_html__('Add Menu', 'qhost') . '</a></li></ul>';
						}
						?>
                        <?php
                            $btn_link = qhost_option('nav_btn_link');
                            $btn_text = qhost_option('nav_btn_text' );
                            $button = qhost_option('nav_button_switch' );
                        ?>

                        <?php if (  $button == 1 ) : ?>
                            <?php if ( ! empty( $btn_link )) : ?>
                                <div class="nav-right">
                                    <a href="<?php echo esc_attr( $btn_link ); ?>" class="tt-btn btn-outline nav-btn">
                                        <?php echo esc_html( $btn_text ); ?>
                                    </a>
                                </div>
                            <?php endif; ?>
                        <?php endif; ?>

					</div>
					<!-- /.main-menu -->

				</div><!-- #menu-wrapper -->

			</nav><!-- #site-navigation -->
		</div><!-- /.header-inner -->
	</div><!-- /.container -->
</header><!-- #masthead -->