<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package qhost
 */

$content      = apply_filters( 'the_content', get_the_content() );
$meta         = get_post_meta( get_the_ID(), 'qhost-post-video', true );
$videothumb   = ! empty( $meta['video-thumbnail'] ) ? $meta['video-thumbnail'] : '';
$meta_gallery = get_post_meta( get_the_ID(), 'themename-post-gallery', true );
$category_list = get_the_category_list( ', ' );

$author = qhost_option('blog_list_meta_author') == '1' || qhost_option('blog_list_meta_author') == true ||  qhost_option('blog_list_meta_author') == '' ? 'on' : 'off' ;

?>


<article id="post-<?php the_ID(); ?>" <?php post_class( 'blog-post-list entry-post' ); ?>>

	<?php Qhost_Theme_Helper::qhost_post_thumbnail(); ?>

    <div class="blog-content">
        <?php if ( qhost_option('blog_list_meta_author') == 'on' || qhost_option('blog_list_meta_date') == 1 || qhost_option('blog_list_meta_comments') == 1 ) : ?>
            <header class="entry-header">
                <?php if ( 'post' === get_post_type() ) : ?>
                    <div class="post-meta-wrapper">  
                        <ul class="post-meta">
                            <?php if ( $author == 'on') : ?>
                                <li><i class="ei ei-icon_profile"></i><?php Qhost_Theme_Helper::qhost_entry_meta_small(); ?></li>
                            <?php endif; ?>
                                
                            <?php if ( qhost_option('blog_list_meta_date') == 1) : ?>
                                <li><i class="ei ei-icon_clock_alt"></i><?php Qhost_Theme_Helper::qhost_posted_on(); ?></li>
                            <?php endif; ?>

                            <?php if ( qhost_option('blog_list_meta_comments') == 1) : ?>
                                <li><i class="ei ei-icon_chat_alt"></i><?php Qhost_Theme_Helper::qhost_entry_comments(get_the_ID()); ?></li>
                            <?php endif; ?>
                        </ul><!-- .entry-meta -->                      
                    </div><!-- .entry-meta -->
                <?php endif; ?>
            </header><!-- .entry-header -->
        <?php endif; ?>

        <div class="entry-content">

			<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>

            <p>
				<?php echo Qhost_Theme_Helper::qhost_substring( get_the_content(), 20, '...' ); ?>
            </p>

            <footer class="blog-footer">
                <a href="<?php the_permalink(); ?>" class="read-more">
					<?php echo esc_html__( 'Read More', 'qhost' ); ?>
                    <i class="ei ei-arrow_right"></i>
                </a>
            </footer>

			<?php if ( is_singular() ) {
				wp_link_pages();
			} ?>
        </div>

    </div><!-- /.entry-content -->
</article><!-- #post-<?php the_ID(); ?> -->
